curl --request PATCH \
--url https://wisepim.com/api/public/v1/value-code-sets/{resource_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"allow_new_values": true,
"new_value_handling": "<string>"
}
'import requests
url = "https://wisepim.com/api/public/v1/value-code-sets/{resource_id}"
payload = {
"name": "<string>",
"code": "<string>",
"description": "<string>",
"allow_new_values": True,
"new_value_handling": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
description: '<string>',
allow_new_values: true,
new_value_handling: '<string>'
})
};
fetch('https://wisepim.com/api/public/v1/value-code-sets/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"allow_new_values": true,
"new_value_handling": "<string>",
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Update value-code-sets
PATCH /value-code-sets/. Required scopes: value-code-sets:write.
curl --request PATCH \
--url https://wisepim.com/api/public/v1/value-code-sets/{resource_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"allow_new_values": true,
"new_value_handling": "<string>"
}
'import requests
url = "https://wisepim.com/api/public/v1/value-code-sets/{resource_id}"
payload = {
"name": "<string>",
"code": "<string>",
"description": "<string>",
"allow_new_values": True,
"new_value_handling": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
description: '<string>',
allow_new_values: true,
new_value_handling: '<string>'
})
};
fetch('https://wisepim.com/api/public/v1/value-code-sets/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"allow_new_values": true,
"new_value_handling": "<string>",
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.
1 - 128^[!-~]+$Path Parameters
Body
Display name (e.g., 'ABS Pipe Fittings - Fitting/Connector Type')
200Unique identifier (e.g., 'abs_pipe_fittings_type')
100Description of this code set and its intended use
100000Whether new values can be dynamically added during product import
How to handle values not in this code set during product import
20Response
OK
Display name (e.g., 'ABS Pipe Fittings - Fitting/Connector Type')
200Unique identifier (e.g., 'abs_pipe_fittings_type')
100Description of this code set and its intended use
Whether new values can be dynamically added during product import
How to handle values not in this code set during product import
20
